<!DOCTYPE html>
<html lang="de">
<head>
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
    <title>Datentypen</title>
</head>
<body>
<p>
<?php

// boolean Wahrheitswerte Wahr (true) oder Falsch (false)

// integer/int ist für positive und negative ganzzahlige Werte

echo "<h1> Integer:</h1>";

$zahl = 0b110110; // Dualzahl
echo "Dualzahl $zahl<br>";
$zahl = 54; // Dezimalzahl
echo "Dezimalzahl $zahl<br>";
$zahl = 066; // Oktalzahl
echo "Oktalzahl $zahl<br>";
$zahl = 0x36; // Hexadezimalzahl
echo " Hexadezimal$zahl<br>";
echo "<hr />";
$zahl = - 54; // negative Dezimalzahl
echo "Auch negativ: " .$zahl ."<br>";

echo "<h1> Float (Fließkommazahlen):</h1>";

$fliessZahl = 98.45;
echo $fliessZahl ."<br>";
$fliessZahl = 9.4e2;
echo $fliessZahl ."<br>";
$fliessZahl = 4e-4;
echo $fliessZahl ."<br>";


echo "<h1> String:</h1>";

$doppelt = "das ist Text ";
var_dump($doppelt);
echo "<br>";
$einfach = 'das ebenfalls';
var_dump($einfach);
echo "<br>";
$doppelt .= $einfach;
var_dump($doppelt);



echo "<h1> mit der funtion var_dump:</h1>";

// Die function var_dump gibt den Typen und den Wert der Variablen aus
$ganzZahl = 10;
var_dump($ganzZahl);
$ganzZahl += 1.52;
var_dump($ganzZahl);
echo "<hr>";
$fliessZahl = 98.45;
var_dump($fliessZahl);
$fliessZahl -= 0.45;
var_dump($fliessZahl);



?>

</p>    
</body>
</html>